package common.dispenser;

import common.tileentity.TileEntity;
import common.util.BlockPos;
import common.world.World;

public interface IBlockSource extends IPosition
{
    double getX();

    double getY();

    double getZ();
    
    World getWorld();

    BlockPos getBlockPos();

    int getBlockMetadata();

    <T extends TileEntity> T getBlockTileEntity();
}
