package server.command;

import common.entity.Entity;
import common.util.BlockPos;
import common.util.Position;
import server.Server;

public record FixedExecutor(Server server, String getExecId, String getExecName, Position getExecPos) implements Executor {
	public void logConsole(String msg) {
		this.server.logConsole(msg);
	}
	
	public Entity getPointedEntity() {
		return null;
	}
	
	public BlockPos getPointedPosition() {
		return null;
	}
	
	public boolean isConsole() {
		return true;
	}
}
