package server.command;

import java.util.List;

public record Parameter(String name, char shortName, int position, boolean required, List<ArgumentParser> parsers, ArgCombiner<?> combiner) {	
	public boolean positional() {
		return this.position >= 0;
	}
	
	public boolean shorthand() {
		return this.shortName != 0;
	}	
}
