package server.world;

import common.block.Block;
import common.util.BlockPos;

public record TickEvent(BlockPos position, Block block, int id, int parameter) {
	public boolean equals(Object other) {
		if(!(other instanceof TickEvent))
			return false;
		TickEvent event = (TickEvent)other;
		return this.position.equals(event.position) && this.id == event.id && this.parameter == event.parameter && this.block == event.block;
	}
}
